Template Management API
List Templates
List WhatsApp message templates with optional filtering.
Guide: Template Management APIGET
List WhatsApp message templates with optional filtering.
bearerAuthheader
AuthorizationBearer <token>An API token from Settings > API Tokens in your Cue workspace. See Authentication.
limit?LimitRange
1 <= value <= 100Default
50offset?OffsetRange
0 <= valueDefault
0status?|nullcategory?|nullsearch?|nullSuccessful Response
application/json- response
templates*array<>pagination*Base pagination response model
curl -X GET 'https://api.cuedesk.com/v1/templates' \
-H 'Authorization: Bearer <token>'Example Response
{
"templates": [
{
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"workspace_uuid": "8360bf61-4604-4f22-99dc-2afa910fd8c7",
"name": "string",
"canonical_name": "string",
"locale": "string",
"category": "MARKETING",
"template_type": "STANDARD",
"status": "PREPARING",
"rejection_reason": "string",
"content": {
"header": {
"format": "TEXT",
"text": "string",
"example": [
"string"
]
},
"body": {
"text": "string",
"example": [
"string"
]
},
"footer": {
"text": "string"
},
"buttons": [],
"cards": [
{
"header": {
"format": "TEXT",
"text": "string",
"example": [
"string"
]
},
"body": {
"text": "string",
"example": [
"string"
]
},
"buttons": []
}
],
"auth": {
"auth_category_type": "string",
"code_expiry_minutes": 0,
"auth_body_inputs": {
"add_security_message": true,
"add_contact": true
}
}
},
"enabled_in_livechat": true,
"continue_session": true,
"created_at": "string",
"updated_at": "string"
}
],
"pagination": {
"limit": 0,
"offset": 0,
"total": 0
}
}